¿Cómo instalar ASP.NET Core Blazor Language Services cuando no usa VS 2017?

blazor c# visual-studio-2017 visual-studio-extensions

Pregunta

Estoy aprendiendo cómo construir una aplicación Blazor de este tutorial . Las herramientas necesarias se dan a continuación.

  • Instale el .NET Core 2.1 SDK (2.1.300-preview2-008533 o posterior).
  • Instale Visual Studio 2017 (15.7 Preview 5 o posterior) con la carga de trabajo de desarrollo web y ASP.NET seleccionada.
  • Instale la última extensión de Blazor Language Services desde Visual Studio Marketplace.

Debido a que la descarga e instalación de VS 2017 lleva mucho tiempo, acabo de instalar el SDK. También descargué el servicio de idioma (archivo .vsix ) pero no sé cómo instalarlo.

Los siguientes pasos tuvieron éxito.

md test
cd test


dotnet new -i Microsoft.AspNetCore.Blazor.Templates
dotnet new blazor -o ba1
cd ba1

Pero lo siguiente

md test
cd test


dotnet new -i Microsoft.AspNetCore.Blazor.Templates
dotnet new blazor -o ba1
cd ba1

produce un error de la siguiente manera:

CSC: error CS1617: opción no válida '7.3' para / langversion. Utilice '/ langversion :?' para listar los valores soportados. [C: \ Users \ amd \ test \ ba1 \ ba1.csproj]

Pregunta

Parece que necesito instalar el servicio de idiomas, pero ¿cómo se puede hacer sin VS 2017?

Editar

Para responder al comentario de por qué no instalé VS 2017 y asumí (no asumí realmente) que es opcional, vea el extracto del tutorial.

introduzca la descripción de la imagen aquí

Respuesta aceptada

El servicio de idiomas es para intellisense en Visual Studio. Por lo tanto, si no está utilizando Visual Studio, no es necesario instalarlo. No hay soporte blazor intellisense para VSCode en este momento o algo así.

Vea aquí para el error 7.3.




Licencia bajo: CC-BY-SA with attribution
No afiliado con Stack Overflow
¿Es esto KB legal? Sí, aprende por qué
Licencia bajo: CC-BY-SA with attribution
No afiliado con Stack Overflow
¿Es esto KB legal? Sí, aprende por qué